Index: /trunk/bp-groups.php
===================================================================
--- /trunk/bp-groups.php	(revision 3727)
+++ /trunk/bp-groups.php	(revision 3728)
@@ -1041,18 +1049,18 @@
 
 		$reset_steps = true;
-		bp_core_redirect( $bp->root_domain . '/' . $bp->groups->slug . '/create/step/' . array_shift( array_keys( $bp->groups->group_creation_steps ) ) . '/' );
-	}
-
-	/* If this is a creation step that is not recognized, just redirect them back to the first screen */
+		bp_core_redirect( $bp->root_domain . '/' . $bp->groups->root_slug . '/create/step/' . array_shift( array_keys( $bp->groups->group_creation_steps ) ) . '/' );
+	}
+
+	// If this is a creation step that is not recognized, just redirect them back to the first screen
 	if ( $bp->action_variables[1] && !$bp->groups->group_creation_steps[$bp->action_variables[1]] ) {
 		bp_core_add_message( __('There was an error saving group details. Please try again.', 'buddypress'), 'error' );
-		bp_core_redirect( $bp->root_domain . '/' . $bp->groups->slug . '/create/' );
-	}
-
-	/* Fetch the currently completed steps variable */
+		bp_core_redirect( $bp->root_domain . '/' . $bp->groups->root_slug . '/create/' );
+	}
+
+	// Fetch the currently completed steps variable
 	if ( isset( $_COOKIE['bp_completed_create_steps'] ) && !isset( $reset_steps ) )
 		$bp->groups->completed_create_steps = unserialize( stripslashes( $_COOKIE['bp_completed_create_steps'] ) );
 
-	/* Set the ID of the new group, if it has already been created in a previous step */
+	// Set the ID of the new group, if it has already been created in a previous step
 	if ( isset( $_COOKIE['bp_new_group_id'] ) ) {
 		$bp->groups->new_group_id = $_COOKIE['bp_new_group_id'];
@@ -1060,8 +1068,8 @@
 	}
 
-	/* If the save, upload or skip button is hit, lets calculate what we need to save */
+	// If the save, upload or skip button is hit, lets calculate what we need to save
 	if ( isset( $_POST['save'] ) ) {
 
-		/* Check the nonce */
+		// Check the nonce
 		check_admin_referer( 'groups_create_save_' . $bp->groups->current_create_step );
 
@@ -1069,5 +1077,5 @@
 			if ( empty( $_POST['group-name'] ) || empty( $_POST['group-desc'] ) || !strlen( trim( $_POST['group-name'] ) ) || !strlen( trim( $_POST['group-desc'] ) ) ) {
 				bp_core_add_message( __( 'Please fill in all of the required fields', 'buddypress' ), 'error' );
-				bp_core_redirect( $bp->root_domain . '/' . $bp->groups->slug . '/create/step/' . $bp->groups->current_create_step . '/' );
+				bp_core_redirect( $bp->root_domain . '/' . $bp->groups->root_slug . '/create/step/' . $bp->groups->current_create_step . '/' );
 			}
 
@@ -1076,5 +1084,5 @@
 			if ( !$bp->groups->new_group_id = groups_create_group( array( 'group_id' => $new_group_id, 'name' => $_POST['group-name'], 'description' => $_POST['group-desc'], 'slug' => groups_check_slug( sanitize_title( esc_attr( $_POST['group-name'] ) ) ), 'date_created' => bp_core_current_time(), 'status' => 'public' ) ) ) {
 				bp_core_add_message( __( 'There was an error saving group details, please try again.', 'buddypress' ), 'error' );
-				bp_core_redirect( $bp->root_domain . '/' . $bp->groups->slug . '/create/step/' . $bp->groups->current_create_step . '/' );
+				bp_core_redirect( $bp->root_domain . '/' . $bp->groups->root_slug . '/create/step/' . $bp->groups->current_create_step . '/' );
 			}
 
@@ -1090,5 +1098,5 @@
 				$group_enable_forum = 0;
 			} else {
-				/* Create the forum if enable_forum = 1 */
+				// Create the forum if enable_forum = 1
 				if ( function_exists( 'bp_forums_setup' ) && '' == groups_get_groupmeta( $bp->groups->new_group_id, 'forum_id' ) ) {
 					groups_new_group_forum();
@@ -1103,11 +1111,10 @@
 			if ( !$bp->groups->new_group_id = groups_create_group( array( 'group_id' => $bp->groups->new_group_id, 'status' => $group_status, 'enable_forum' => $group_enable_forum ) ) ) {
 				bp_core_add_message( __( 'There was an error saving group details, please try again.', 'buddypress' ), 'error' );
-				bp_core_redirect( $bp->root_domain . '/' . $bp->groups->slug . '/create/step/' . $bp->groups->current_create_step . '/' );
+				bp_core_redirect( $bp->root_domain . '/' . $bp->groups->root_slug . '/create/step/' . $bp->groups->current_create_step . '/' );
 			}
 		}
 
-		if ( 'group-invites' == $bp->groups->current_create_step ) {
+		if ( 'group-invites' == $bp->groups->current_create_step )
 			groups_send_invites( $bp->loggedin_user->id, $bp->groups->new_group_id );
-		}
 
 		do_action( 'groups_create_group_step_save_' . $bp->groups->current_create_step );
@@ -1123,14 +1130,15 @@
 			$bp->groups->completed_create_steps[] = $bp->groups->current_create_step;
 
-		/* Reset cookie info */
+		// Reset cookie info
 		setcookie( 'bp_new_group_id', $bp->groups->new_group_id, time()+60*60*24, COOKIEPATH );
 		setcookie( 'bp_completed_create_steps', serialize( $bp->groups->completed_create_steps ), time()+60*60*24, COOKIEPATH );
 
-		/* If we have completed all steps and hit done on the final step we can redirect to the completed group */
+		// If we have completed all steps and hit done on the final step we
+		// can redirect to the completed group
 		if ( count( $bp->groups->completed_create_steps ) == count( $bp->groups->group_creation_steps ) && $bp->groups->current_create_step == array_pop( array_keys( $bp->groups->group_creation_steps ) ) ) {
 			unset( $bp->groups->current_create_step );
 			unset( $bp->groups->completed_create_steps );
 
-			/* Once we compelete all steps, record the group creation in the activity stream. */
+			// Once we compelete all steps, record the group creation in the activity stream.
 			groups_record_activity( array(
 				'action' => apply_filters( 'groups_activity_created_group_action', sprintf( __( '%1$s created the group %2$s', 'buddypress'), bp_core_get_userlink( $bp->loggedin_user->id ), '<a href="' . bp_get_group_permalink( $bp->groups->current_group ) . '">' . esc_attr( $bp->groups->current_group->name ) . '</a>' ) ),
@@ -1159,25 +1167,25 @@
 			}
 
-			bp_core_redirect( $bp->root_domain . '/' . $bp->groups->slug . '/create/step/' . $next_step . '/' );
-		}
-	}
-
-	/* Group avatar is handled separately */
+			bp_core_redirect( $bp->root_domain . '/' . $bp->groups->root_slug . '/create/step/' . $next_step . '/' );
+		}
+	}
+
+	// Group avatar is handled separately
 	if ( 'group-avatar' == $bp->groups->current_create_step && isset( $_POST['upload'] ) ) {
 		if ( !empty( $_FILES ) && isset( $_POST['upload'] ) ) {
-			/* Normally we would check a nonce here, but the group save nonce is used instead */
-
-			/* Pass the file to the avatar upload handler */
+			// Normally we would check a nonce here, but the group save nonce is used instead
+
+			// Pass the file to the avatar upload handler
 			if ( bp_core_avatar_handle_upload( $_FILES, 'groups_avatar_upload_dir' ) ) {
 				$bp->avatar_admin->step = 'crop-image';
 
-				/* Make sure we include the jQuery jCrop file for image cropping */
+				// Make sure we include the jQuery jCrop file for image cropping
 				add_action( 'wp_print_scripts', 'bp_core_add_jquery_cropper' );
 			}
 		}
 
-		/* If the image cropping is done, crop the image and save a full/thumb version */
+		// If the image cropping is done, crop the image and save a full/thumb version
 		if ( isset( $_POST['avatar-crop-submit'] ) && isset( $_POST['upload'] ) ) {
-			/* Normally we would check a nonce here, but the group save nonce is used instead */
+			// Normally we would check a nonce here, but the group save nonce is used instead
 
 			if ( !bp_core_avatar_handle_crop( array( 'object' => 'group', 'avatar_dir' => 'group-avatars', 'item_id' => $bp->groups->current_group->id, 'original_file' => $_POST['image_src'], 'crop_x' => $_POST['x'], 'crop_y' => $_POST['y'], 'crop_w' => $_POST['w'], 'crop_h' => $_POST['h'] ) ) )
@@ -1195,5 +1203,5 @@
 	global $bp;
 
-	if ( !$bp->is_single_item || $bp->current_component != $bp->groups->slug || $bp->current_action != 'join' )
+	if ( !$bp->is_single_item || !bp_is_current_component( $bp->groups->slug ) || $bp->current_action != 'join' )
 		return false;
 
@@ -1230,5 +1238,5 @@
 	global $bp;
 
-	if ( !$bp->is_single_item || $bp->current_component != $bp->groups->slug || $bp->current_action != 'leave-group' )
+	if ( !$bp->is_single_item || !bp_is_current_component( $bp->groups->slug ) || $bp->current_action != 'leave-group' )
 		return false;
 
@@ -1255,5 +1263,5 @@
 	global $bp;
 
-	if ( $bp->current_component != BP_GROUPS_SLUG && $bp->current_action != 'create' )
+	if ( !bp_is_current_component( BP_GROUPS_SLUG ) && $bp->current_action != 'create' )
 		return false;
 
@@ -1268,5 +1276,5 @@
 	}
 
-	/* Sort the steps by their position key */
+	// Sort the steps by their position key
 	ksort($temp);
 	unset($bp->groups->group_creation_steps);
@@ -1279,5 +1287,5 @@
 	global $bp, $wpdb;
 
-	if ( $bp->current_component == $bp->groups->slug && isset( $_GET['random-group'] ) ) {
+	if ( bp_is_current_component( $bp->groups->slug ) && isset( $_GET['random-group'] ) ) {
 		$group = groups_get_groups( array( 'type' => 'random', 'per_page' => 1 ) );
 
@@ -1290,5 +1298,5 @@
 	global $bp, $wp_query;
 
-	if ( !bp_is_active( 'activity' ) || $bp->current_component != $bp->groups->slug || !isset( $bp->groups->current_group ) || $bp->current_action != 'feed' )
+	if ( !bp_is_active( 'activity' ) || !bp_is_current_component( $bp->groups->slug ) || !isset( $bp->groups->current_group ) || $bp->current_action != 'feed' )
 		return false;
 
@@ -1320,8 +1328,8 @@
 		return false;
 
-	bp_activity_set_action( $bp->groups->id, 'created_group', __( 'Created a group', 'buddypress' ) );
-	bp_activity_set_action( $bp->groups->id, 'joined_group', __( 'Joined a group', 'buddypress' ) );
+	bp_activity_set_action( $bp->groups->id, 'created_group',   __( 'Created a group',       'buddypress' ) );
+	bp_activity_set_action( $bp->groups->id, 'joined_group',    __( 'Joined a group',        'buddypress' ) );
 	bp_activity_set_action( $bp->groups->id, 'new_forum_topic', __( 'New group forum topic', 'buddypress' ) );
-	bp_activity_set_action( $bp->groups->id, 'new_forum_post', __( 'New group forum post', 'buddypress' ) );
+	bp_activity_set_action( $bp->groups->id, 'new_forum_post',  __( 'New group forum post',  'buddypress' ) );
 
 	do_action( 'groups_register_activity_actions' );
@@ -1335,5 +1343,5 @@
 		return false;
 
-	/* If the group is not public, hide the activity sitewide. */
+	// If the group is not public, hide the activity sitewide.
 	if ( 'public' == $bp->groups->current_group->status )
 		$hide_sitewide = false;
@@ -1341,16 +1349,16 @@
 		$hide_sitewide = true;
 
-	$defaults = array(
-		'id' => false,
-		'user_id' => $bp->loggedin_user->id,
-		'action' => '',
-		'content' => '',
-		'primary_link' => '',
-		'component' => $bp->groups->id,
-		'type' => false,
-		'item_id' => false,
+	$defaults = array (
+		'id'                => false,
+		'user_id'           => $bp->loggedin_user->id,
+		'action'            => '',
+		'content'           => '',
+		'primary_link'      => '',
+		'component'         => $bp->groups->id,
+		'type'              => false,
+		'item_id'           => false,
 		'secondary_item_id' => false,
-		'recorded_time' => bp_core_current_time(),
-		'hide_sitewide' => $hide_sitewide
+		'recorded_time'     => bp_core_current_time(),
+		'hide_sitewide'     => $hide_sitewide
 	);
 
@@ -1361,5 +1369,5 @@
 }
 
-function groups_update_last_activity( $group_id = false ) {
+function groups_update_last_activity( $group_id = 0 ) {
 	global $bp;
 
@@ -1395,5 +1403,5 @@
 				return apply_filters( 'bp_groups_single_new_membership_request_notification', '<a href="' . $group_link . 'admin/membership-requests/?n=1" title="' . sprintf( __( '%s requests group membership', 'buddypress' ), $user_fullname ) . '">' . sprintf( __( '%1$s requests membership for the group "%2$s"', 'buddypress' ), $user_fullname, $group->name ) . '</a>', $group_link, $user_fullname, $group->name );
 			}
-		break;
+			break;
 
 		case 'membership_request_accepted':
@@ -1408,5 +1416,5 @@
 				return apply_filters( 'bp_groups_single_membership_request_accepted_notification', '<a href="' . $group_link . '?n=1">' . sprintf( __( 'Membership for group "%s" accepted', 'buddypress' ), $group->name ) . '</a>', $group_link, $group->name );
 
-		break;
+			break;
 
 		case 'membership_request_rejected':
@@ -1421,5 +1429,5 @@
 				return apply_filters( 'bp_groups_single_membership_request_rejected_notification', '<a href="' . $group_link . '?n=1">' . sprintf( __( 'Membership for group "%s" rejected', 'buddypress' ), $group->name ) . '</a>', $group_link, $group->name );
 
-		break;
+			break;
 
 		case 'member_promoted_to_admin':
@@ -1434,5 +1442,5 @@
 				return apply_filters( 'bp_groups_single_member_promoted_to_admin_notification', '<a href="' . $group_link . '?n=1">' . sprintf( __( 'You were promoted to an admin in the group %s', 'buddypress' ), $group->name ) . '</a>', $group_link, $group->name );
 
-		break;
+			break;
 
 		case 'member_promoted_to_mod':
@@ -1447,5 +1455,5 @@
 				return apply_filters( 'bp_groups_single_member_promoted_to_mod_notification', '<a href="' . $group_link . '?n=1">' . sprintf( __( 'You were promoted to a mod in the group %s', 'buddypress' ), $group->name ) . '</a>', $group_link, $group->name );
 
-		break;
+			break;
 
 		case 'group_invite':
@@ -1460,5 +1468,5 @@
 				return apply_filters( 'bp_groups_single_group_invite_notification', '<a href="' . $bp->loggedin_user->domain . $bp->groups->slug . '/invites/?n=1" title="' . __( 'Group Invites', 'buddypress' ) . '">' . sprintf( __( 'You have an invitation to the group: %s', 'buddypress' ), $group->name ) . '</a>', $group->name );
 
-		break;
+			break;
 	}
 
@@ -1480,5 +1488,5 @@
 function groups_get_group( $args = '' ) {
 	$defaults = array(
-		'group_id' => false,
+		'group_id'   => false,
 		'load_users' => false
 	);
@@ -1544,12 +1552,12 @@
 		return false;
 
+	// If this is a new group, set up the creator as the first member and admin
 	if ( !$group_id ) {
-		// If this is a new group, set up the creator as the first member and admin
-		$member = new BP_Groups_Member;
-		$member->group_id = $group->id;
-		$member->user_id = $group->creator_id;
-		$member->is_admin = 1;
-		$member->user_title = __( 'Group Admin', 'buddypress' );
-		$member->is_confirmed = 1;
+		$member                = new BP_Groups_Member;
+		$member->group_id      = $group->id;
+		$member->user_id       = $group->creator_id;
+		$member->is_admin      = 1;
+		$member->user_title    = __( 'Group Admin', 'buddypress' );
+		$member->is_confirmed  = 1;
 		$member->date_modified = bp_core_current_time();
 
@@ -1572,6 +1580,6 @@
 		return false;
 
-	$group = new BP_Groups_Group( $group_id );
-	$group->name = $group_name;
+	$group              = new BP_Groups_Group( $group_id );
+	$group->name        = $group_name;
 	$group->description = $group_desc;
 
@@ -1602,5 +1610,5 @@
 		groups_accept_all_pending_membership_requests( $group->id );
 
-	/* Now update the status */
+	// Now update the status
 	$group->status = $status;
 
@@ -1608,5 +1616,5 @@
 		return false;
 
-	/* If forums have been enabled, and a forum does not yet exist, we need to create one. */
+	// If forums have been enabled, and a forum does not yet exist, we need to create one.
 	if ( $group->enable_forum ) {
 		if ( function_exists( 'bp_forums_setup' ) && '' == groups_get_groupmeta( $group->id, 'forum_id' ) ) {
@@ -1675,7 +1683,6 @@
 		$slug = substr( $slug, 2, strlen( $slug ) - 2 );
 
-	if ( in_array( $slug, (array)$bp->groups->forbidden_names ) ) {
+	if ( in_array( $slug, (array)$bp->groups->forbidden_names ) )
 		$slug = $slug . '-' . rand();
-	}
 
 	if ( BP_Groups_Group::check_slug( $slug ) ) {
@@ -1696,5 +1703,5 @@
 /*** User Actions ***************************************************************/
 
-function groups_leave_group( $group_id, $user_id = false ) {
+function groups_leave_group( $group_id, $user_id = 0 ) {
 	global $bp;
 
@@ -1702,5 +1709,5 @@
 		$user_id = $bp->loggedin_user->id;
 
-	/* Don't let single admins leave the group. */
+	// Don't let single admins leave the group.
 	if ( count( groups_get_group_admins( $group_id ) ) < 2 ) {
 		if ( groups_is_user_admin( $user_id, $group_id ) ) {
@@ -1716,12 +1723,14 @@
 		return false;
 
-	/* Modify group member count */
+	// Modify group member count
 	groups_update_groupmeta( $group_id, 'total_member_count', (int) groups_get_groupmeta( $group_id, 'total_member_count') - 1 );
 
-	/* Modify user's group memberhip count */
+	// Modify user's group memberhip count
 	update_user_meta( $user_id, 'total_group_count', (int) get_user_meta( $user_id, 'total_group_count', true ) - 1 );
 
-	/* If the user joined this group less than five minutes ago, remove the joined_group activity so
-	 * users cannot flood the activity stream by joining/leaving the group in quick succession.
+	/**
+	 * If the user joined this group less than five minutes ago, remove the
+	 * joined_group activity so users cannot flood the activity stream by
+	 * joining/leaving the group in quick succession.
 	 */
 	if ( function_exists( 'bp_activity_delete' ) && gmmktime() <= strtotime( '+5 minutes', (int)strtotime( $membership->date_modified ) ) )
@@ -1735,5 +1744,5 @@
 }
 
-function groups_join_group( $group_id, $user_id = false ) {
+function groups_join_group( $group_id, $user_id = 0 ) {
 	global $bp;
 
@@ -1753,12 +1762,12 @@
 		return true;
 
-	$new_member = new BP_Groups_Member;
-	$new_member->group_id = $group_id;
-	$new_member->user_id = $user_id;
-	$new_member->inviter_id = 0;
-	$new_member->is_admin = 0;
-	$new_member->user_title = '';
+	$new_member                = new BP_Groups_Member;
+	$new_member->group_id      = $group_id;
+	$new_member->user_id       = $user_id;
+	$new_member->inviter_id    = 0;
+	$new_member->is_admin      = 0;
+	$new_member->user_title    = '';
 	$new_member->date_modified = bp_core_current_time();
-	$new_member->is_confirmed = 1;
+	$new_member->is_confirmed  = 1;
 
 	if ( !$new_member->save() )
@@ -1772,6 +1781,6 @@
 	// Record this in activity streams
 	groups_record_activity( array(
-		'action' => apply_filters( 'groups_activity_joined_group', sprintf( __( '%1$s joined the group %2$s', 'buddypress'), bp_core_get_userlink( $user_id ), '<a href="' . bp_get_group_permalink( $group ) . '">' . esc_attr( bp_get_group_name( $group ) ) . '</a>' ) ),
-		'type' => 'joined_group',
+		'action'  => apply_filters( 'groups_activity_joined_group', sprintf( __( '%1$s joined the group %2$s', 'buddypress'), bp_core_get_userlink( $user_id ), '<a href="' . bp_get_group_permalink( $group ) . '">' . esc_attr( bp_get_group_name( $group ) ) . '</a>' ) ),
+		'type'    => 'joined_group',
 		'item_id' => $group_id,
 		'user_id' => $user_id
@@ -1815,14 +1824,14 @@
 
 	$defaults = array(
-		'type' => 'active', // active, newest, alphabetical, random, popular, most-forum-topics or most-forum-posts
-		'user_id' => false, // Pass a user_id to limit to only groups that this user is a member of
-		'include' => false, // Only include these specific groups (group_ids)
-		'exclude' => false, // Do not include these specific groups (group_ids)
-		'search_terms' => false, // Limit to groups that match these search terms
-		'show_hidden' => false, // Show hidden groups to non-admins
-
-		'per_page' => 20, // The number of results to return per page
-		'page' => 1, // The page to return if limiting per page
-		'populate_extras' => true, // Fetch meta such as is_banned and is_member
+		'type'            => 'active', // active, newest, alphabetical, random, popular, most-forum-topics or most-forum-posts
+		'user_id'         => false,    // Pass a user_id to limit to only groups that this user is a member of
+		'include'         => false,    // Only include these specific groups (group_ids)
+		'exclude'         => false,    // Do not include these specific groups (group_ids)
+		'search_terms'    => false,    // Limit to groups that match these search terms
+		'show_hidden'     => false,    // Show hidden groups to non-admins
+
+		'per_page'        => 20,       // The number of results to return per page
+		'page'            => 1,        // The page to return if limiting per page
+		'populate_extras' => true,     // Fetch meta such as is_banned and is_member
 	);
 
@@ -1844,5 +1853,5 @@
 }
 
-function groups_get_user_groups( $user_id = false, $pag_num = false, $pag_page = false ) {
+function groups_get_user_groups( $user_id = 0, $pag_num = 0, $pag_page = 0 ) {
 	global $bp;
 
@@ -1853,5 +1862,5 @@
 }
 
-function groups_total_groups_for_user( $user_id = false ) {
+function groups_total_groups_for_user( $user_id = 0 ) {
 	global $bp;
 
@@ -1869,5 +1878,5 @@
 /*** Group Avatars *************************************************************/
 
-function groups_avatar_upload_dir( $group_id = false ) {
+function groups_avatar_upload_dir( $group_id = 0 ) {
 	global $bp;
 
@@ -1875,5 +1884,5 @@
 		$group_id = $bp->groups->current_group->id;
 
-	$path = BP_AVATAR_UPLOAD_PATH . '/group-avatars/' . $group_id;
+	$path    = BP_AVATAR_UPLOAD_PATH . '/group-avatars/' . $group_id;
 	$newbdir = $path;
 
@@ -1881,6 +1890,6 @@
 		@wp_mkdir_p( $path );
 
-	$newurl = BP_AVATAR_URL . '/group-avatars/' . $group_id;
-	$newburl = $newurl;
+	$newurl    = BP_AVATAR_URL . '/group-avatars/' . $group_id;
+	$newburl   = $newurl;
 	$newsubdir = '/group-avatars/' . $group_id;
 
@@ -1924,6 +1933,6 @@
 
 	$defaults = array(
-		'content' => false,
-		'user_id' => $bp->loggedin_user->id,
+		'content'  => false,
+		'user_id'  => $bp->loggedin_user->id,
 		'group_id' => $bp->groups->current_group->id
 	);
@@ -1932,26 +1941,27 @@
 	extract( $r, EXTR_SKIP );
 
-	if ( empty($content) || !strlen( trim( $content ) ) || empty($user_id) || empty($group_id) )
+	if ( empty( $content ) || !strlen( trim( $content ) ) || empty( $user_id ) || empty( $group_id ) )
 		return false;
 
 	$bp->groups->current_group = new BP_Groups_Group( $group_id );
 
-	/* Be sure the user is a member of the group before posting. */
+	// Be sure the user is a member of the group before posting.
 	if ( !is_super_admin() && !groups_is_user_member( $user_id, $group_id ) )
 		return false;
 
-	/* Record this in activity streams */
-	$activity_action = sprintf( __( '%1$s posted an update in the group %2$s:', 'buddypress'), bp_core_get_userlink( $user_id ), '<a href="' . bp_get_group_permalink( $bp->groups->current_group ) . '">' . esc_attr( $bp->groups->current_group->name ) . '</a>' );
+	// Record this in activity streams
+	$activity_action  = sprintf( __( '%1$s posted an update in the group %2$s:', 'buddypress'), bp_core_get_userlink( $user_id ), '<a href="' . bp_get_group_permalink( $bp->groups->current_group ) . '">' . esc_attr( $bp->groups->current_group->name ) . '</a>' );
 	$activity_content = $content;
 
 	$activity_id = groups_record_activity( array(
 		'user_id' => $user_id,
-		'action' => apply_filters( 'groups_activity_new_update_action', $activity_action ),
+		'action'  => apply_filters( 'groups_activity_new_update_action',  $activity_action  ),
 		'content' => apply_filters( 'groups_activity_new_update_content', $activity_content ),
-		'type' => 'activity_update',
+		'type'    => 'activity_update',
 		'item_id' => $group_id
 	) );
 
- 	/* Require the notifications code so email notifications can be set on the 'bp_activity_posted_update' action. */
+ 	// Require the notifications code so email notifications can be set on
+	// the 'bp_activity_posted_update' action.
 	require_once( BP_PLUGIN_DIR . '/bp-groups/bp-groups-notifications.php' );
 
@@ -1964,5 +1974,5 @@
 /*** Group Forums **************************************************************/
 
-function groups_new_group_forum( $group_id = false, $group_name = false, $group_desc = false ) {
+function groups_new_group_forum( $group_id = 0, $group_name = '', $group_desc = '' ) {
 	global $bp;
 
@@ -2008,5 +2018,5 @@
 
 	$post_text = apply_filters( 'group_forum_post_text_before_save', $post_text );
-	$topic_id = apply_filters( 'group_forum_post_topic_id_before_save', $topic_id );
+	$topic_id  = apply_filters( 'group_forum_post_topic_id_before_save', $topic_id );
 
 	if ( $post_id = bp_forums_insert_post( array( 'post_text' => $post_text, 'topic_id' => $topic_id ) ) ) {
@@ -2020,11 +2030,11 @@
 			$primary_link .= "?topic_page=" . $page;
 
-		/* Record this in activity streams */
+		// Record this in activity streams
 		groups_record_activity( array(
-			'action' => apply_filters( 'groups_activity_new_forum_post_action', $activity_action, $post_id, $post_text, &$topic ),
-			'content' => apply_filters( 'groups_activity_new_forum_post_content', $activity_content, $post_id, $post_text, &$topic ),
-			'primary_link' => apply_filters( 'groups_activity_new_forum_post_primary_link', "{$primary_link}#post-{$post_id}" ),
-			'type' => 'new_forum_post',
-			'item_id' => $bp->groups->current_group->id,
+			'action'            => apply_filters( 'groups_activity_new_forum_post_action', $activity_action, $post_id, $post_text, &$topic ),
+			'content'           => apply_filters( 'groups_activity_new_forum_post_content', $activity_content, $post_id, $post_text, &$topic ),
+			'primary_link'      => apply_filters( 'groups_activity_new_forum_post_primary_link', "{$primary_link}#post-{$post_id}" ),
+			'type'              => 'new_forum_post',
+			'item_id'           => $bp->groups->current_group->id,
 			'secondary_item_id' => $post_id
 		) );
@@ -2045,7 +2055,7 @@
 
 	$topic_title = apply_filters( 'group_forum_topic_title_before_save', $topic_title );
-	$topic_text = apply_filters( 'group_forum_topic_text_before_save', $topic_text );
-	$topic_tags = apply_filters( 'group_forum_topic_tags_before_save', $topic_tags );
-	$forum_id = apply_filters( 'group_forum_topic_forum_id_before_save', $forum_id );
+	$topic_text  = apply_filters( 'group_forum_topic_text_before_save', $topic_text );
+	$topic_tags  = apply_filters( 'group_forum_topic_tags_before_save', $topic_tags );
+	$forum_id    = apply_filters( 'group_forum_topic_forum_id_before_save', $forum_id );
 
 	if ( $topic_id = bp_forums_new_topic( array( 'topic_title' => $topic_title, 'topic_text' => $topic_text, 'topic_tags' => $topic_tags, 'forum_id' => $forum_id ) ) ) {
@@ -2055,11 +2065,11 @@
 		$activity_content = bp_create_excerpt( $topic_text );
 
-		/* Record this in activity streams */
+		// Record this in activity streams
 		groups_record_activity( array(
-			'action' => apply_filters( 'groups_activity_new_forum_topic_action', $activity_action, $topic_text, &$topic ),
-			'content' => apply_filters( 'groups_activity_new_forum_topic_content', $activity_content, $topic_text, &$topic ),
-			'primary_link' => apply_filters( 'groups_activity_new_forum_topic_primary_link', bp_get_group_permalink( $bp->groups->current_group ) . 'forum/topic/' . $topic->topic_slug . '/' ),
-			'type' => 'new_forum_topic',
-			'item_id' => $bp->groups->current_group->id,
+			'action'            => apply_filters( 'groups_activity_new_forum_topic_action', $activity_action, $topic_text, &$topic ),
+			'content'           => apply_filters( 'groups_activity_new_forum_topic_content', $activity_content, $topic_text, &$topic ),
+			'primary_link'      => apply_filters( 'groups_activity_new_forum_topic_primary_link', bp_get_group_permalink( $bp->groups->current_group ) . 'forum/topic/' . $topic->topic_slug . '/' ),
+			'type'              => 'new_forum_topic',
+			'item_id'           => $bp->groups->current_group->id,
 			'secondary_item_id' => $topic->topic_id
 		) );
@@ -2077,8 +2087,8 @@
 
 	$topic_title = apply_filters( 'group_forum_topic_title_before_save', $topic_title );
-	$topic_text = apply_filters( 'group_forum_topic_text_before_save', $topic_text );
+	$topic_text  = apply_filters( 'group_forum_topic_text_before_save',  $topic_text  );
 
 	if ( $topic = bp_forums_update_topic( array( 'topic_title' => $topic_title, 'topic_text' => $topic_text, 'topic_id' => $topic_id ) ) ) {
-		/* Update the activity stream item */
+		// Update the activity stream item
 		if ( function_exists( 'bp_activity_delete_by_item_id' ) )
 			bp_activity_delete_by_item_id( array( 'item_id' => $bp->groups->current_group->id, 'secondary_item_id' => $topic_id, 'component' => $bp->groups->id, 'type' => 'new_forum_topic' ) );
@@ -2087,14 +2097,14 @@
 		$activity_content = bp_create_excerpt( $topic_text );
 
-		/* Record this in activity streams */
+		// Record this in activity streams
 		groups_record_activity( array(
-			'action' => apply_filters( 'groups_activity_new_forum_topic_action', $activity_action, $topic_text, &$topic ),
-			'content' => apply_filters( 'groups_activity_new_forum_topic_content', $activity_content, $topic_text, &$topic ),
-			'primary_link' => apply_filters( 'groups_activity_new_forum_topic_primary_link', bp_get_group_permalink( $bp->groups->current_group ) . 'forum/topic/' . $topic->topic_slug . '/' ),
-			'type' => 'new_forum_topic',
-			'item_id' => (int)$bp->groups->current_group->id,
-			'user_id' => (int)$topic->topic_poster,
+			'action'            => apply_filters( 'groups_activity_new_forum_topic_action', $activity_action, $topic_text, &$topic ),
+			'content'           => apply_filters( 'groups_activity_new_forum_topic_content', $activity_content, $topic_text, &$topic ),
+			'primary_link'      => apply_filters( 'groups_activity_new_forum_topic_primary_link', bp_get_group_permalink( $bp->groups->current_group ) . 'forum/topic/' . $topic->topic_slug . '/' ),
+			'type'              => 'new_forum_topic',
+			'item_id'           => (int)$bp->groups->current_group->id,
+			'user_id'           => (int)$topic->topic_poster,
 			'secondary_item_id' => $topic->topic_id,
-			'recorded_time' => $topic->topic_time
+			'recorded_time '    => $topic->topic_time
 		) );
 
@@ -2111,7 +2121,6 @@
 
 	$post_text = apply_filters( 'group_forum_post_text_before_save', $post_text );
-	$topic_id = apply_filters( 'group_forum_post_topic_id_before_save', $topic_id );
-
-	$post = bp_forums_get_post( $post_id );
+	$topic_id  = apply_filters( 'group_forum_post_topic_id_before_save', $topic_id );
+	$post      = bp_forums_get_post( $post_id );
 
 	if ( $post_id = bp_forums_insert_post( array( 'post_id' => $post_id, 'post_text' => $post_text, 'post_time' => $post->post_time, 'topic_id' => $topic_id, 'poster_id' => $post->poster_id ) ) ) {
